.product-suite-section{
    max-width: 1920px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 120px;
    padding: 140px 60px;
    margin: 0 auto;
    background: var(--d-dark);
}

.product-suite-upper{
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 0;
    padding: 0;
    overflow: hidden;
    width: 100%;
}

.product-suite-upper-content{
    width: 100%;
    display: flex;
    align-items: center;
    gap: 80px;
    padding: 40px 80px;
    justify-content: space-between;
    background: radial-gradient(53.82% 109.25% at 72.36% -3.88%, #075CBB 7.81%, #032B5F 59.87%, #03143C 100%);
}

.product-suite-upper-text{
    flex: 1;
    max-width: 640px;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 40px;
}

.product-suite-upper-cards{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0;
    align-items: stretch;
    backdrop-filter: blur(10px);
    background: var(--d-dark-60);
    padding: 20px 32px;
}

.product-suite-upper-card{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0px;
    background: transparent;
}

.product-suite-upper-card svg{
    width: 24px;
    height: 24px;
    flex-shrink: 0;
}

.product-suite-upper-card svg path{
    transition: 0.3s;
}

.product-suite-upper-card .main-text-semibold{
    color: var(--n-white);
    text-align: center;
    transition: 0.3s;
}

.product-suite-upper-buttons{
    display: flex;
    align-items: center;
    gap: 10px;
}

.product-suite-upper-info{
    width: 100%;
    display: flex;
    align-items: start;
    gap: 0;
    flex-direction: column;
}

.product-suite-upper-info .main-h3{
    color: var(--d-white);
    margin-top: 12px;
}

.product-suite-upper-info .main-text-medium{
    color: var(--d-light-grey);
    margin-top: 16px;
    max-width: 480px;
}

.product-suite-upper-tab{
    display: flex;
    align-items: center;
    gap: 10px;
}

.product-suite-upper-dot{
    background: var(--d-accent);
    flex-shrink: 0;
    width: 10px;
    height: 10px;
    border-radius: 3px;
}

.product-suite-upper-info .subtitle-semibold{
    color: var(--light-blue);
    text-align: center;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px; /* 144.444% */
    letter-spacing: 0.9px;
    text-transform: uppercase;
}

.product-suite-upper-media{
    width: 920px;
    height: auto;
    aspect-ratio: 23 / 13;
    flex-shrink: 0;
    background-image: url('https://storage.googleapis.com/dev_resources_voka_io_303011/common/product-suite-laptop.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    margin: 0 auto;
}

.product-suite-upper-media video{
    position: absolute;
    top: 58px;
    left: 222px;
    width: 564px;
    height: 368px;
    object-fit: cover;
    object-position: center;
    border-radius: 4px;
    z-index: 2;
}

.product-suite-upper.wiki-card .product-suite-upper-content{
    background: radial-gradient(52.43% 106.42% at 24.56% 0.04%, #0F859F 0%, #043057 62.39%, #03143C 100%);
}

.product-suite-upper.wiki-card .product-suite-upper-info .subtitle-semibold{
    color: #39A3AC;
}

.product-suite-upper.wiki-card .product-suite-upper-dot{
    background: #39A3AC;
}

.product-suite-upper.wiki-card .product-suite-upper-media{
    background-image: url('https://storage.googleapis.com/dev_resources_voka_io_303011/common/product-wiki-laptop.webp');
}

.explore-voka-wiki,
.explore-voka-wiki:visited {
    background: var(--wiki-n-accent);
    transition: 0.3s;
}

@media (hover:hover){
    .product-suite-upper-card:hover svg path{
        fill: var(--light-blue);
    }

    .product-suite-upper-card:hover .main-text-semibold{
        color: var(--light-blue);
    }

    .explore-voka-wiki:hover {
        background: var(--wiki-n-very-dark-accent);
    }
}

@media (max-width: 1919px) {
    .product-suite-section{
        gap: 80px;
        padding: 100px 60px;
    }

    .product-suite-upper-content{
        gap: 40px;
        padding: 60px;
    }

    .product-suite-upper-media{
        width: 640px;
    }

    .product-suite-upper-text{
        flex: 1;
        max-width: 520px;
    }

    .product-suite-upper-media video{
        top: 40.5px;
        left: 154.43px;
        width: 392.348px;
        height: 256px;
        border-radius: 2.78px;
    }
}

@media (max-width: 1439px) {
    .product-suite-section{
        gap: 60px;
        padding: 80px 40px;
    }

    .product-suite-upper{
        border-radius: 16px;
    }

    .product-suite-upper-content{
        padding: 40px;
    }

    .product-suite-upper-text{
        gap: 32px;
        max-width: 480px;
    }

    .product-suite-upper-cards{
        padding: 16px 32px;
    }

    .product-suite-upper-card svg{
        width: 20px;
        height: 20px;
    }

    .product-suite-upper-info .main-h3{
        margin-top: 10px;
    }

    .product-suite-upper-info .main-text-medium{
        margin-top: 16px;
    }

    .product-suite-upper-tab{
        gap: 8px;
    }

    .product-suite-upper-dot{
        width: 8px;
        height: 8px;
        border-radius: 2px;
    }

    .product-suite-upper-info .subtitle-semibold{
        font-size: 16px;
        line-height: 26px;
        letter-spacing: 0.8px;
    }

    .product-suite-upper-media{
        width: 600px;
    }

    .product-suite-upper-media video{
        top: 38px;
        left: 144.78px;
        width: 367.826px;
        height: 240px;
        border-radius: 2.61px;
    }
}

@media (max-width: 1279px) {
    .product-suite-upper-content{
        padding: 60px 40px;
    }

    .product-suite-upper-media{
        width: 500px;
    }

    .product-suite-upper-text{
        max-width: 380px;
    }

    .product-suite-upper-media video{
        top: 31.64px;
        left: 120.65px;
        width: 306.522px;
        height: 200px;
        border-radius: 2.174px;
    }
}

@media (max-width: 1079px) {
    .product-suite-upper-content{
        flex-direction: column-reverse;
        gap: 32px;
        padding: 24px 24px 60px;
        align-items: stretch;
        justify-content: start;
        background: radial-gradient(160.76% 90.77% at 48.76% -0.89%, #075CBB 7.81%, #032B5F 41.09%, #03143C 100%);
    }

    .product-suite-upper-text{
        gap: 40px;
        align-items: center;
        max-width: unset;
        margin: 0 auto;
    }

    .product-suite-upper-info{
        align-items: center;
        text-align: center;
    }

    .product-suite-upper-cards{
        padding: 16px 0;
        background: var(--d-dark-60);
    }

    .product-suite-upper-tab{
        gap: 6px;
    }

    .product-suite-upper-dot{
        width: 6px;
        height: 6px;
        border-radius: 2px;
    }

    .product-suite-upper-info .subtitle-semibold{
        font-size: 14px;
        line-height: 26px;
        letter-spacing: 0.7px;
    }

    .product-suite-upper-media{
        width: 640px;
    }

    .product-suite-upper-info .main-text-medium{
        max-width: 600px;
    }

    .product-suite-upper-media video{
        top: 40.5px;
        left: 154.43px;
        width: 392.348px;
        height: 256px;
        border-radius: 2.783px;
    }
    
    .product-suite-upper.wiki-card .product-suite-upper-content{
        flex-direction: column;
    }
}

@media (max-width: 767px) {
    .product-suite-upper-media{
        position: relative;
        left: 50%;
        transform: translateX(-50%);
        width: 520px;
        margin: 0;
    }

    .product-suite-upper-media video{
        top: 32.91px;
        left: 125.48px;
        width: 318.783px;
        height: 208px;
        border-radius: 2.261px;
    }
}

@media (max-width: 577px) {
    .product-suite-section{
        gap: 0;
        padding: 0;
    }

    .product-suite-upper{
        border-radius: 0;
    }

    .product-suite-upper-content{
        padding: 60px 16px;
        gap: 40px;
    }

    .product-suite-upper-cards{
        border-radius: 0;
        grid-template-columns: repeat(2, 1fr);
        gap: 1px;
        padding: 0;
        border-top: 1px solid var(--d-dark-40);
        background: var(--d-dark-40);
    }

    .product-suite-upper-card{
        background: var(--d-dark-60);
        padding: 16px 0;
    }

    .product-suite-upper-buttons{
        align-items: stretch;
        flex-direction: column;
        width: 100%;
    }

    .product-suite-upper-media{
        width: 343px;
    }

    .product-suite-upper-info{
        align-items: start;
        text-align: start;
    }

    .product-suite-upper-media video{
        top: 21.71px;
        left: 82.77px;
        width: 210.274px;
        height: 137.2px;
        border-radius: 1.491px;
    }

    .product-suite-upper.wiki-card .product-suite-upper-content{
        background: radial-gradient(108.01% 27.97% at 50.13% 27.89%, #0F859F 0%, #04314D 48.6%, #010B25 100%);
    }
}